import s from './TimerContainer.module.css';
import TimerControl from './TimerControl/TimerControl';
import TimerPresentation from './TimerPresentation/TimerPresentation';

interface ITimerContainerProps {
  amountSeconds: number;
  refresh: number;
  renderEl: ({ seconds }: { seconds: number }) => JSX.Element;
}
const TimerContainer = (props: ITimerContainerProps) => {
  return (
    <div className={s.timerContainerWrapper}>
      <TimerControl {...props} />
      <TimerPresentation />
    </div>
  );
};

export default TimerContainer;
